Subject: Re: bug#55647: Emacs manual - Change references to "global-set-key" to "keymap-global-set"

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Jun 2022 05:34:29 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 7 Jun 2022 17:35:09 -0500
> Cc: Dhanvanthri N <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I'm not sure how to find all the references to global-set-key in the
> >> documentation;
> >
> > Grep the *.texi files in the doc/lispref/ and doc/emacs/ directories
> > of the Emacs source tree for the references to the obsolete functions
> > and commands.
> 
> I think there are quite a few of these.
> 
> However, I'm not sure that there is a strong need to change them for
> Emacs 29 -- at least not in the user documentation.  Users might be
> consulting Emacs 29 documentation, yet still want to use their Init file
> on Emacs 28 or older.
> 
> How about waiting with updating all of this documentation on master
> until after Emacs 29 has been released?

The question is actually whether we indeed consider global-set-key and
friends obsolete.  If we do, we should at least document the modern
replacements and say that the obsolete ones are obsolete.  Leaving the
documentation as-is without reference to obsolescence is not a good
idea, IMO.